PMAP_MINCORE(9)

NAME
pmap_mincore - determine if a virtual address is resident in physical memory

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
int
pmap_mincore(pmap_t pmap, vm_offset_t addr);

DESCRIPTION
The pmap_mincore() function determines if the page at the virtual address addr in the physical map pmap is resident in physical memory. It is the machine-dependent interface used by the mincore(2) system call.

RETURN VALUES
If the page is resident in physical memory, a mask of flags is returned, whose meaning is documented in mincore(2); otherwise, 0 is returned.

The pmap must exist and addr must be mapped into the pmap. If any error occurs, the machine-dependent implementation should return 0.

SEE ALSO
mincore(2), pmap(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.